Package org.mariadb.jdbc.internal.util.exceptions

## Class ExceptionFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.util.exceptions.ExceptionFactory

    public final class ExceptionFactory
    extends Object

### Field Summary

Fields
`static ExceptionFactory` `INSTANCE`

### Constructor Summary

Constructors
`ExceptionFactory​(long threadId, Options options, MariaDbConnection connection, Statement statement)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SQLException` `create​(String message)`
`SQLException` `create​(String message, Exception cause)`
`SQLException` `create​(String message, String sqlState)`
`SQLException` `create​(String message, String sqlState, int errorCode)`
`SQLException` `create​(String message, String sqlState, int errorCode, Exception cause)`
`SQLException` `create​(String message, String sqlState, Exception cause)`
`SQLException` `create​(SQLException cause)`
`Options` `getOptions()`
`long` `getThreadId()`
`SQLException` `notSupported​(String message)`
`static ExceptionFactory` `of​(long threadId, Options options)`
`ExceptionFactory` `raiseStatementError​(MariaDbConnection connection, Statement stmt)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ExceptionFactory INSTANCE

### Constructor Detail

#### ExceptionFactory

    public ExceptionFactory​(long threadId,
                            Options options,
                            MariaDbConnection connection,
                            Statement statement)

### Method Detail

#### of

    public static ExceptionFactory of​(long threadId,
                                      Options options)

#### raiseStatementError

    public ExceptionFactory raiseStatementError​(MariaDbConnection connection,
                                                Statement stmt)

#### create

    public SQLException create​(SQLException cause)

#### notSupported

    public SQLException notSupported​(String message)

#### create

    public SQLException create​(String message)

#### create

    public SQLException create​(String message,
                               Exception cause)

#### create

    public SQLException create​(String message,
                               String sqlState)

#### create

    public SQLException create​(String message,
                               String sqlState,
                               Exception cause)

#### create

    public SQLException create​(String message,
                               String sqlState,
                               int errorCode)

#### create

    public SQLException create​(String message,
                               String sqlState,
                               int errorCode,
                               Exception cause)

#### getThreadId

    public long getThreadId()

#### getOptions

    public Options getOptions()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`